program Project1;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var ij, ii,n,m,i,v,l,x,y:integer;
o:real;

begin
 assign(input,'TRANSPORT.IN'); reset(input);
 readln(ii);
 for ij := 1 to ii do begin

   o:=0;
   readln(n,v,l);
   for i := 1 to n do
   begin
   read(x,y);
   o:=o+y;
   end;
   o:=o+l/v*60; writeln(o:0:2);
   end;
end.
